Delete an Identity by id
curl --request DELETE \
--url https://sandbox-api.borderless.xyz/v1/identities/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox-api.borderless.xyz/v1/identities/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox-api.borderless.xyz/v1/identities/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"type": "Personal",
"deleted": true,
"hasComplianceChecks": true,
"data": {
"firstName": "<string>",
"lastName": "<string>",
"secondLastName": "<string>",
"middleName": "<string>",
"taxId": "<string>",
"dateOfBirth": "YYYY-MM-DD",
"email": "<string>",
"phone": "<string>",
"activity": "<string>",
"sex": "Male",
"address": {
"id": "<string>",
"street1": "<string>",
"street2": "<string>",
"city": "<string>",
"state": "<string>",
"country": "AF",
"postalCode": "<string>"
},
"documents": [
{
"id": "<string>",
"issuingCountry": "AF",
"type": "Passport",
"subType": "UtilityBill",
"idNumber": "<string>",
"issuedDate": "YYYY-MM-DD",
"expiryDate": "YYYY-MM-DD"
}
],
"occupationCode": "132011",
"employmentStatus": "Employed",
"sourceOfFunds": "CompanyFunds",
"nameInLocalScript": "εΌ δΌ",
"employerName": "Acme Pte Ltd",
"sourceOfWealth": "BusinessDividendsOrProfits",
"accountPurpose": "CharitableDonations",
"accountPurposeOther": "<string>",
"monthlyAmounts": "LessThan5K",
"actingAsIntermediary": true,
"citizenship": "AF",
"nationalities": [
"AF"
],
"placeOfBirthCountry": "AF",
"placeOfBirthCity": "<string>",
"hasForeignTaxRegistration": true
}
}Identities
Delete an Identity by id
Delete the specified an Identity by its id. This action is irreversible. Returns 404 if the entity is not found.
DELETE
/
v1
/
identities
/
{id}
Delete an Identity by id
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Was this page helpful?